interface DT_DecoderDataResponse {
    (barcode: string): void;
    addHandler(onScan: OnScan): void;
    removeHandler(onScan: OnScan): void;
}
export interface DryrainApi {
    DT_DecoderDataResponse?: DT_DecoderDataResponse;
}
export interface OnScan {
    (barcode: string): unknown;
}
export interface CreateDryrainBarcodeScanListenerConfig {
    dryrainApi?: DryrainApi;
    onScan: OnScan;
}
/**
 * Creates and installs a listener for scan events inside Dryrain Technologies' Enterprise Browser.
 *
 * @returns A function that, when invoked, removes the scan listener.
 */
declare const createDryrainBarcodeScanListener: ({ dryrainApi, onScan, }: CreateDryrainBarcodeScanListenerConfig) => () => void;
export default createDryrainBarcodeScanListener;
